package com.bocloud.cmp.model;

/**
 * 弹性伸缩
 *
 * @author 作者
 * @version 创建时间：2019年11月25日 下午7:12:41 类说明
 */
public class AutoScalingModel {
    private Long autoScalingId;
    private Long vendorId;
    private Integer maxSize;
    private Integer minSize;
    private Integer cooldown; // 冷却时间
    private String groups;
    private Integer cpu;
    private Integer memory;
    private Long imageId;
    private String imageUuid;
    private Long flavorId;
    private String flavorUuid;
    private Long networkId;
    private String networkUuid;
    private String subnetUuid;
    private Long subnetId;
    private String lbUuid;
    private String metadata;
    private String region;
    private String tenantUuid;
    private Long keypairId;
    private Boolean useLb;
    private String lbProtocol;
    private Integer lbPort;
    private String alarmType;// 监控类型： alarmType（下拉） cpu
    private String comparisonOperator;// 条件：comparisonOperator（下拉） >
    private String comparisonOperatorValue; // 条件值
    private Integer granularity; // 检查周期：granularity
    private Integer evaluationPeriods;// 连续出发几次：evaluationPeriods
    private Integer scalingAdjustment;// 伸缩数量：scalingAdjustment
    private String alarmAutoScalingType; // 伸缩类型 add 添加 remove 删除
    private String adjustmentType;// 伸缩规则：adjustmentType （下拉）
    private String osTenantName;
    private String name;

    public Integer getMaxSize() {
        return maxSize;
    }

    public void setMaxSize(Integer maxSize) {
        this.maxSize = maxSize;
    }

    public Integer getMinSize() {
        return minSize;
    }

    public void setMinSize(Integer minSize) {
        this.minSize = minSize;
    }

    public Integer getCooldown() {
        return cooldown;
    }

    public void setCooldown(Integer cooldown) {
        this.cooldown = cooldown;
    }

    public Integer getCpu() {
        return cpu;
    }

    public void setCpu(Integer cpu) {
        this.cpu = cpu;
    }

    public Integer getMemory() {
        return memory;
    }

    public void setMemory(Integer memory) {
        this.memory = memory;
    }

    public String getImageUuid() {
        return imageUuid;
    }

    public void setImageUuid(String imageUuid) {
        this.imageUuid = imageUuid;
    }

    public String getFlavorUuid() {
        return flavorUuid;
    }

    public void setFlavorUuid(String flavorUuid) {
        this.flavorUuid = flavorUuid;
    }

    public String getLbUuid() {
        return lbUuid;
    }

    public void setLbUuid(String lbUuid) {
        this.lbUuid = lbUuid;
    }

    public String getMetadata() {
        return metadata;
    }

    public void setMetadata(String metadata) {
        this.metadata = metadata;
    }

    public String getAlarmType() {
        return alarmType;
    }

    public void setAlarmType(String alarmType) {
        this.alarmType = alarmType;
    }

    public String getComparisonOperator() {
        return comparisonOperator;
    }

    public void setComparisonOperator(String comparisonOperator) {
        this.comparisonOperator = comparisonOperator;
    }

    public Integer getGranularity() {
        return granularity;
    }

    public void setGranularity(Integer granularity) {
        this.granularity = granularity;
    }

    public Integer getEvaluationPeriods() {
        return evaluationPeriods;
    }

    public void setEvaluationPeriods(Integer evaluationPeriods) {
        this.evaluationPeriods = evaluationPeriods;
    }

    public Integer getScalingAdjustment() {
        return scalingAdjustment;
    }

    public void setScalingAdjustment(Integer scalingAdjustment) {
        this.scalingAdjustment = scalingAdjustment;
    }

    public String getAdjustmentType() {
        return adjustmentType;
    }

    public void setAdjustmentType(String adjustmentType) {
        this.adjustmentType = adjustmentType;
    }

    public Long getVendorId() {
        return vendorId;
    }

    public void setVendorId(Long vendorId) {
        this.vendorId = vendorId;
    }

    public Long getAutoScalingId() {
        return autoScalingId;
    }

    public void setAutoScalingId(Long autoScalingId) {
        this.autoScalingId = autoScalingId;
    }

    public String getNetworkUuid() {
        return networkUuid;
    }

    public void setNetworkUuid(String networkUuid) {
        this.networkUuid = networkUuid;
    }

    public String getGroups() {
        return groups;
    }

    public void setGroups(String groups) {
        this.groups = groups;
    }

    public Long getImageId() {
        return imageId;
    }

    public void setImageId(Long imageId) {
        this.imageId = imageId;
    }

    public Long getFlavorId() {
        return flavorId;
    }

    public void setFlavorId(Long flavorId) {
        this.flavorId = flavorId;
    }

    public Long getNetworkId() {
        return networkId;
    }

    public void setNetworkId(Long networkId) {
        this.networkId = networkId;
    }

    public String getRegion() {
        return region;
    }

    public void setRegion(String region) {
        this.region = region;
    }

    public String getTenantUuid() {
        return tenantUuid;
    }

    public void setTenantUuid(String tenantUuid) {
        this.tenantUuid = tenantUuid;
    }

    public String getOsTenantName() {
        return osTenantName;
    }

    public void setOsTenantName(String osTenantName) {
        this.osTenantName = osTenantName;
    }

    public Long getKeypairId() {
        return keypairId;
    }

    public void setKeypairId(Long keypairId) {
        this.keypairId = keypairId;
    }

    public String getComparisonOperatorValue() {
        return comparisonOperatorValue;
    }

    public void setComparisonOperatorValue(String comparisonOperatorValue) {
        this.comparisonOperatorValue = comparisonOperatorValue;
    }

    public String getAlarmAutoScalingType() {
        return alarmAutoScalingType;
    }

    public void setAlarmAutoScalingType(String alarmAutoScalingType) {
        this.alarmAutoScalingType = alarmAutoScalingType;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSubnetUuid() {
        return subnetUuid;
    }

    public void setSubnetUuid(String subnetUuid) {
        this.subnetUuid = subnetUuid;
    }

    public Long getSubnetId() {
        return subnetId;
    }

    public void setSubnetId(Long subnetId) {
        this.subnetId = subnetId;
    }

    public Boolean getUseLb() {
        return useLb;
    }

    public void setUseLb(Boolean useLb) {
        this.useLb = useLb;
    }

    public String getLbProtocol() {
        return lbProtocol;
    }

    public void setLbProtocol(String lbProtocol) {
        this.lbProtocol = lbProtocol;
    }

    public Integer getLbPort() {
        return lbPort;
    }

    public void setLbPort(Integer lbPort) {
        this.lbPort = lbPort;
    }
}
